<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lab 5: Исходный файл C:/VVID/Lab3/functions.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lab 5
   </div>
   <div id="projectbrief">Проект со строками</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9b007e028ff056209f37c38d42b1bdd5.html">VVID</a></li><li class="navelem"><a class="el" href="dir_d4d190ead145efec63d18fa6e1dbd727.html">Lab3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">functions.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef FUNCTIONS_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define FUNCTIONS_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;QCoreApplication&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="functions_8cpp.html#a5de6fc215c07583f2346280c4505b953">isStrOk</a>(QString &amp;str);</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#afc382b5636c4ef4323d4987e6064e251">encryption</a>(QString &amp;str,<span class="keywordtype">int</span> u);</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#a1a591b2c4dfddf027ec9211c5bca3361">isPalindrome</a>(QString &amp;str);</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#a4f7a092751d1d5304734f66ce4bcaae8">amountOfVowels</a> (QString &amp;str);</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#a338893bc1c71497f938ed3e104f8777b">amountOfConsonants</a> (QString &amp;str);</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#a0e3ba4f016256c26284c42c0821699d5">amountOfCharacter</a> (QString &amp;str);</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keywordtype">int</span> <a class="code" href="functions_8cpp.html#af937e8937147e5ce0c31ffaa43468a9e">shorteringNumber</a> (QString &amp;str, <span class="keywordtype">int</span> amountNumbers);</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif // FUNCTIONS_H</span></div><div class="ttc" id="functions_8cpp_html_a0e3ba4f016256c26284c42c0821699d5"><div class="ttname"><a href="functions_8cpp.html#a0e3ba4f016256c26284c42c0821699d5">amountOfCharacter</a></div><div class="ttdeci">int amountOfCharacter(QString &amp;str)</div><div class="ttdoc">Функция подсчёта букв(гласные согласные и &quot;Ь,Ъ&quot;)</div><div class="ttdef"><b>Definition:</b> functions.cpp:188</div></div>
<div class="ttc" id="functions_8cpp_html_afc382b5636c4ef4323d4987e6064e251"><div class="ttname"><a href="functions_8cpp.html#afc382b5636c4ef4323d4987e6064e251">encryption</a></div><div class="ttdeci">int encryption(QString &amp;str, int u)</div><div class="ttdoc">Функция кодирования строки алгоритмом Цезаря со сдвигом u.</div><div class="ttdef"><b>Definition:</b> functions.cpp:52</div></div>
<div class="ttc" id="functions_8cpp_html_a1a591b2c4dfddf027ec9211c5bca3361"><div class="ttname"><a href="functions_8cpp.html#a1a591b2c4dfddf027ec9211c5bca3361">isPalindrome</a></div><div class="ttdeci">int isPalindrome(QString &amp;str)</div><div class="ttdoc">Функция проверки строки на палиндром</div><div class="ttdef"><b>Definition:</b> functions.cpp:94</div></div>
<div class="ttc" id="functions_8cpp_html_a5de6fc215c07583f2346280c4505b953"><div class="ttname"><a href="functions_8cpp.html#a5de6fc215c07583f2346280c4505b953">isStrOk</a></div><div class="ttdeci">bool isStrOk(QString &amp;str)</div><div class="ttdoc">Функция проверки строки на то, чтобы в ней были только русские буквы и знаки припинания</div><div class="ttdef"><b>Definition:</b> functions.cpp:14</div></div>
<div class="ttc" id="functions_8cpp_html_a338893bc1c71497f938ed3e104f8777b"><div class="ttname"><a href="functions_8cpp.html#a338893bc1c71497f938ed3e104f8777b">amountOfConsonants</a></div><div class="ttdeci">int amountOfConsonants(QString &amp;str)</div><div class="ttdoc">Функция подсчёта согласных</div><div class="ttdef"><b>Definition:</b> functions.cpp:165</div></div>
<div class="ttc" id="functions_8cpp_html_af937e8937147e5ce0c31ffaa43468a9e"><div class="ttname"><a href="functions_8cpp.html#af937e8937147e5ce0c31ffaa43468a9e">shorteringNumber</a></div><div class="ttdeci">int shorteringNumber(QString &amp;str, int amountNumbers)</div><div class="ttdoc">Функция округления десятичного числа до заданного кол-ва знаков после запятой</div><div class="ttdef"><b>Definition:</b> functions.cpp:218</div></div>
<div class="ttc" id="functions_8cpp_html_a4f7a092751d1d5304734f66ce4bcaae8"><div class="ttname"><a href="functions_8cpp.html#a4f7a092751d1d5304734f66ce4bcaae8">amountOfVowels</a></div><div class="ttdeci">int amountOfVowels(QString &amp;str)</div><div class="ttdoc">Функция подсчёта гласных (включая ё)</div><div class="ttdef"><b>Definition:</b> functions.cpp:142</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
